

body, html {
    margin: 0;
    padding: 0;

    /* background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.9), rgba(255, 255, 255, 0.8)), url(../images/editorbg.jpg); 
    background-size: cover;
    background-position: 50% 50%;
    background-repeat: repeat;
    */
    background-color: #fbfbfb;
    overflow: hidden;
   
}

.design-view {
    /* background: #f7f7f7; */
}

.main-wrapper{
    display: none;
}

#canvas-container-wraper-main {
    margin:0 auto;
    padding-top: 1rem;

      /* overflow: hidden; */
 
  /* display: flex;
  justify-content: space-around;
  align-items: center; */
  /* background-color: #ffffff; */
  margin: 1rem auto;
  width: fit-content;
  
  /* height: 500px; */
  /* max-height: 500px; */
  scrollbar-width: thin;

  display: flex;
  justify-content: center;
  align-items: center;
  transform-origin: center;
  /* margin: 10px 0.2rem; */
  background: #f4f4f4;
  /* padding: 20px; */
  /* width: 94%; */
  height: 100%;
    
}

.canvas-container {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
    /* border-radius: 20px; */
    margin: 0 auto;
    /* width: 600px !important;
    height: 600px !important; */
}




#canvas {
    max-width: 100%;
    max-height: 100%;
    border: 0px solid black;
    /* border-radius: 20px; */
}

.slider-container {
    margin-top: 20px;
    text-align: center;
}

/*
.options-list {
    display: flex;
    align-items: flex-start; 
}

.option-row {
    margin-right: 20px;
}

.option-row label {
    display: block;
    margin-bottom: 5px;
}
*/

.options-list {
    display: flex;
    gap: 10px;
    justify-content: center;
    padding-top: 18px !important;
}

.option-row label {
    display: block; 
    margin-bottom: 5px; 
}

.btn-align.selected {
    background-color: #ddd !important;
    color: #555 !important;
    border-radius: 100px !important;
  }
  
  .selected {
    background-color: #ddd !important;
    color: #555 !important;
    border-radius: 100px !important;
  }
  
  
  .btn-check:checked + label {
    background-color: #ddd !important;
    color: #555 !important;
    border-radius: 100px !important;
  }

  .font-styles , .element-color{
    position: absolute;
    clip: rect(0, 0, 0, 0);
    pointer-events: none;
    }



.element-properties-section {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    /* background: white; */
    background-image: linear-gradient(45deg, rgba(53, 53, 53, 0.9), rgba(21, 21, 21, 0.8)), url(../images/editorbg.jpg);
}
.option-row select {



    height: 32px;
  line-height: 32px;
  min-width: 180px;
  background: white;
  border: 0;
  border-radius: 6px;

  color: #4d4d4d;
  font-weight: 500;
  padding: 0 10px;
}

.option-row .font-size {
width: 80px;
min-width: 80px;
border: 0;
}

.option-row .btn-group  label{
    margin: 0px 10px;
}

.option-row .btn {
    border: 0;
    padding: 6px;
    margin: 0px 2px;
    background: transparent;
    border-radius: 0;
    color: white;
}



/*Modal*/

.modal.left .modal-dialog,
.modal.right .modal-dialog,
.modal.top .modal-dialog,
.modal.bottom .modal-dialog {
  -webkit-transform: translate3d(0%, 0, 0);
  -ms-transform: translate3d(0%, 0, 0);
  -o-transform: translate3d(0%, 0, 0);
  transform: translate3d(0%, 0, 0);
}

/* Left & Right */

.modal.left .modal-dialog,
.modal.right .modal-dialog {
  position: fixed;
  margin: auto;
  width: 500px;
  max-width: 100%;
  height: 100%;
}

.modal.left .modal-content,
.modal.right .modal-content {
  height: 100%;
  overflow-y: auto;
}

.modal.left .modal-body,
.modal.right .modal-body {
  padding: 15px 15px 80px;
}

.modal.left.fade .modal-dialog {
  left: -500px;
  -webkit-transition: opacity 0.3s linear, left 0.3s ease-out;
  -moz-transition: opacity 0.3s linear, left 0.3s ease-out;
  -o-transition: opacity 0.3s linear, left 0.3s ease-out;
  transition: opacity 0.3s linear, left 0.3s ease-out;
}

.modal.left.fade.show .modal-dialog {
  left: 0;
}

.modal.right.fade .modal-dialog {
  right: -500px;
  -webkit-transition: opacity 0.3s linear, right 0.3s ease-out;
  -moz-transition: opacity 0.3s linear, right 0.3s ease-out;
  -o-transition: opacity 0.3s linear, right 0.3s ease-out;
  transition: opacity 0.3s linear, right 0.3s ease-out;
}

.modal.right.fade.show .modal-dialog {
  right: 0;
}

.modal.left .modal-content,
.modal.right .modal-content,
.modal.top .modal-content,
.modal.bottom .modal-content,
.modal.full .modal-content {
  border-radius: 0;
  border: none;
}

.modal.left .modal-dialog.modal-sm,
.modal.right .modal-dialog.modal-sm {
  width: 300px;
}

.modal.left .modal-dialog.modal-lg,
.modal.right .modal-dialog.modal-lg {
  width: 800px;
}

.modal.left .modal-dialog.modal-xl,
.modal.right .modal-dialog.modal-xl {
  width: 1140px;
}

/* Top and Bottom */

.modal.top .modal-dialog,
.modal.bottom .modal-dialog {
  position: fixed;
  margin: auto;
  width: 100%;
  max-width: 100%;
  height: auto;
}

.modal.top .modal-content,
.modal.bottom .modal-content {
  height: auto;
  overflow-y: auto;
}

.modal.top .modal-body,
.modal.bottom .modal-body {
  padding: 15px 15px;
}

/* Top */

.modal.top.fade .modal-dialog {
  top: -100%;
  -webkit-transition: opacity 0.3s linear, top 0.3s ease-out;
  -moz-transition: opacity 0.3s linear, top 0.3s ease-out;
  -o-transition: opacity 0.3s linear, top 0.3s ease-out;
  transition: opacity 0.3s linear, top 0.3s ease-out;
}

.modal.top.fade.show .modal-dialog {
  top: 0;
}

/* Bottom */

.modal.bottom.fade .modal-dialog {
  bottom: -100%;
  -webkit-transition: opacity 0.3s linear, bottom 0.3s ease-out;
  -moz-transition: opacity 0.3s linear, bottom 0.3s ease-out;
  -o-transition: opacity 0.3s linear, bottom 0.3s ease-out;
  transition: opacity 0.3s linear, bottom 0.3s ease-out;
}

.modal.bottom.fade.show .modal-dialog {
  bottom: 0;
}

.modal.bottom.fade .modal-dialog {
  bottom: -100%;
}

/* Full Screen */

.modal.full .modal-dialog {
  position: fixed;
  margin: auto;
  width: 100%;
  max-width: 100%;
  height: 100%;
}

.modal.full .modal-content {
  height: 100%;
  overflow-y: auto;
}

.modal.full .close-modal {
  position: fixed;
  top: 0;
  right: 3rem;
}

/* Footer */

.modal-footer-fixed {
  position: fixed;
  bottom: 0;
  width: 100%;
  background: #fff;
  border-radius: 0;
}

/* XS */

.modal.left.xs .modal-body,
.modal.right.xs .modal-body {
  padding: 15px;
}

.desktop {
    display: block;
}
.mobile{
    display: none; 
}

.sharebtn{
  background: linear-gradient(to right, #1595b6, rgba(31,38,103,0.9));
  border-radius: 10px;
  color: #fff;
  border-color: unset;
  letter-spacing: 1px;
}
.sharebtn:hover{
  color: #fff;
}
.finish-item-icon{
  fill: #606062;
  width: 24px;
  height: 24px;
  margin-right: 12px;
}
.dropdown-item {
  padding: .25rem 1rem;
  border-bottom: 1px solid #e8e4e4;
  letter-spacing: 1px;
}

#cover-spin {
  position:fixed;
  width:100%;
  left:0;right:0;top:0;bottom:0;
  background-color: rgba(255,255,255,0.7);
  z-index:9999;
  display:none;
}

@-webkit-keyframes spin {
from {-webkit-transform:rotate(0deg);}
to {-webkit-transform:rotate(360deg);}
}

@keyframes spin {
from {transform:rotate(0deg);}
to {transform:rotate(360deg);}
}

#cover-spin::after {
  content:'';
  display:block;
  position:absolute;
  left:48%;top:40%;
  width:40px;height:40px;
  border-style:solid;
  border-color:#0c4c6d;
  border-top-color:transparent;
  border-width: 4px;
  border-radius:50%;
  -webkit-animation: spin .8s linear infinite;
  animation: spin .8s linear infinite;
}
.share-modal-title{
  color: #5a5a5a;
  font-weight: 700;
  letter-spacing: 1px;
  font-family: Raleway,
}
.share-text{
  color: #777778;
  font-size: 14px;
  letter-spacing: 1px;
  font-family: Raleway,ui-sans-serif,system-ui,-apple-system,Segoe UI,Roboto,Ubuntu,Cantarell,Noto Sans,sans-serif,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,Noto Sans,sans-serif,"Apple Color Emoji","Segoe UI Emoji",Segoe UI Symbol,"Noto Color Emoji";
}
#mobileSahreButton{
  display: none;
}
.text-an{
  color: #433;
  font-weight: 550;
  letter-spacing: 1px;
  font-size: 15px;
}

@media screen and (max-width: 991px) {

  #share_download{
    text-align: center !important;
  }
   .design-view{
    margin-top: 4rem;
   } 

    /* .option-row {
        max-width: 50%;
        float: left;
    }
    .options-list {
        flex-direction: column;
    }
    .option-row .font-size {
        width: 100%;
    } */

    .desktop {
        display: none;
    }
    .mobile{
        display: block; 
    }

    .options-list {
        overflow-x: scroll;
        justify-content: flex-start;
    }
    .element-properties-section {
        background: linear-gradient(90deg, #123584 0%, #2f2462 100%);
    }
    .element-properties-section .modal-header {
        padding: 10px 20px;
        background: white;
    }
    .element-properties-section .modal-header .h5 {
        font-weight: 600;
        font-size: 14px;
    }
    .element-properties-section .modal-header button {
        color: #9b9b9b;
    }
    .font-list-group {
        max-height: 350px;
        overflow-y: scroll;
    }
    .font-list-group .list-group-item {
        padding: .5rem 0.12rem;
        border:0;
        border-bottom: 1px solid rgba(221, 204, 204, 0.13);
        background: #fff;
        cursor: pointer;
    }

}

@media screen and (max-width: 470px){
  /* .sharetemplate{
    display: none;
  } */
  #mobileSahreButton{
    display: block;
  }

}

